#app {
    /* height: 100vh; */
    /* display: flex; */
    justify-content: center;
    align-items: center;
    font-family: Roboto Mono;
}

#terminal {
    width: 100%;
    max-width: 100%;
    height: 550px;
    transition: 0.2s;
    font-family: Roboto Mono;
}

#window {
    display: none;
    /* height: 40px;
        display: flex; 
        align-items: center;
        padding: 0 15px;
        cursor: default; */
}

/* .button {
        margin-right: 10px;
        border: none;
        height: 13px;
        width: 13px;
        border-radius: 50%;
        box-shadow: 0 2px 2px #33333375;
    } */

.red {
    background-color: #ff4136;
}

.error {
    color: #ff4136;
}

.yellow {
    background-color: #ffdc00;
}

.info {
    color: #ffdc00;
}

.green {
    background-color: #2ecc40;
}

#title,
#field {
    font-size: 0.85rem;
}

#title {
    margin-left: auto;
}

#field {
    height: calc(100% - 40px);
    padding: 5px;
    overflow: auto;
    /* 	I'd like to get white-space: break-spaces to work
		but it won't for some reason. In the meantime,
		overflow-wrap: break-word will have to do. */
    overflow-wrap: break-word;
}

#field::-webkit-scrollbar {
    width: 10px;
}

#field.dark::-webkit-scrollbar-thumb {
    background-color: #333444;
}

#field.light::-webkit-scrollbar-thumb {
    background-color: #aca9bb;
}

#field > div {
    min-height: 20px;
    width: 100%;
    cursor: default;
}

#input-container {
    display: flex;
}

#query,
#cursor {
    display: inline-block;
}

#query {
    margin-right: 10px;
    white-space: pre-line;
}

#cursor {
    position: relative;
    bottom: -2px;
    left: 2px;
    width: 0.5rem;
    height: 3px;
}

@keyframes blink-dark {
    0%,
    100% {
        background-color: #f4f4f4;
    }

    50% {
        background-color: transparent;
    }
}

@keyframes blink-light {
    0%,
    100% {
        background-color: #474554;
    }

    50% {
        background-color: transparent;
    }
}

@media only screen and (max-width: 600px), (max-height: 600px) {
    #terminal {
        height: 100vh;
        width: 100%;
        min-width: 100%;
    }

    #field {
        height: 100%;
    }

    #window {
        display: none;
    }
}
